UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.sdm.LBMSDMUnsignedException Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMUnsignedException:

## Public Member Functions
| LBMSDMUnsignedException ()
| LBMSDMUnsignedException (String s)
| LBMSDMUnsignedException (String s, int v)
| LBMSDMUnsignedException (String s, long v)
| LBMSDMUnsignedException (String s, short v)
| LBMSDMUnsignedException (String s, byte v)
| LBMSDMUnsignedException (String s, String v)

## Detailed Description

An LBM SDM Exception indicating an negative number was provided to an unsigned field type. Where possible, additional field data is dumped.

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( |  | ) |

Generic Constructor

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( | String | s | ) |

Generic Constructor including a string

Parameters

  s | Exception message

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( | String | s,
|  | int | v
| ) |  |

Constructor including field data

Parameters

  s | Exception message
  v | Value which is signed

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( | String | s,
|  | long | v
| ) |  |

Constructor including field data

Parameters

  s | Exception message
  v | Value which is signed

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( | String | s,
|  | short | v
| ) |  |

Constructor including field data

Parameters

  s | Exception message
  v | Value which is signed

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( | String | s,
|  | byte | v
| ) |  |

Constructor including field data

Parameters

  s | Exception message
  v | Value which is signed

com.latencybusters.lbm.sdm.LBMSDMUnsignedException.LBMSDMUnsignedException | ( | String | s,
|  | String | v
| ) |  |

Constructor including field data

Parameters

  s | Exception message
  v | Value which is signed

The documentation for this class was generated from the following file:

- LBMSDMUnsignedException.java